Bug 977632 - [abrt] fedora-packager-0.5.10.1-3.fc19: proxyclient.py:362:send_request:AuthError: Unable to log into server. Invalid authentication tokens. Send new username and password
[abrt] fedora-packager-0.5.10.1-3.fc19: proxyclient.py:362:send_request:AuthE...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
abrt_hash:3c85969a5865dc95feae20c9764...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 23:06 EDT by Dan Mashal
Modified: 2015-02-17 10:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:41:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.63 KB, text/plain)
2013-06-24 23:06 EDT, Dan Mashal
no flags Details
File: core_backtrace (658 bytes, text/plain)
2013-06-24 23:06 EDT, Dan Mashal
no flags Details
File: dso_list (71 bytes, text/plain)
2013-06-24 23:06 EDT, Dan Mashal
no flags Details
File: environ (2.83 KB, text/plain)
2013-06-24 23:06 EDT, Dan Mashal
no flags Details

  None (edit)
Description Dan Mashal 2013-06-24 23:06:06 EDT
Description of problem:
running fedora-packager-setup for the first time.. guess I put in the wrong password.

Version-Release number of selected component:
fedora-packager-0.5.10.1-3.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/fedora-packager-setup
executable:     /usr/bin/fedora-packager-setup
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
proxyclient.py:362:send_request:AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password

Traceback (most recent call last):
  File "/usr/bin/fedora-packager-setup", line 108, in <module>
    main()
  File "/usr/bin/fedora-packager-setup", line 82, in main
    fedora_cert.create_user_cert()
  File "/usr/lib/python2.7/site-packages/fedora_cert/__init__.py", line 96, in create_user_cert
    cert = fas.user_gencert()
  File "/usr/lib/python2.7/site-packages/fedora/client/fas2.py", line 731, in user_gencert
    request = self.send_request('user/dogencert', auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
    auth_params=auth_params, retries=retries)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 362, in send_request
    raise AuthError(b_('Unable to log into server.  Invalid'
AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password

Local variables in innermost frame:
username: 'xxx'
retries: 0
cookies: <<class 'requests.cookies.RequestsCookieJar'>[]>
req_params: None
url: 'https://admin.fedoraproject.org/accounts/user/dogencert'
session_id: None
self: <fedora.client.fas2.AccountSystem object at 0x2204d90>
auth: None
method: 'user/dogencert'
headers: {'Accept': 'application/json', 'User-agent': 'Fedora Account System Client/0.3.32.3'}
num_tries: 0
complete_params: {'login': 'Login', 'password': 'xxxx', 'user_name': 'vicodan'}
http_status: 403
auth_params: {'username': 'vicodan', 'password': 'xxx'}
file_params: {}
password: 'xxxx'
data: None
response: <Response [403]>
Comment 1 Dan Mashal 2013-06-24 23:06:09 EDT
Created attachment 764885 [details]
File: backtrace
Comment 2 Dan Mashal 2013-06-24 23:06:12 EDT
Created attachment 764886 [details]
File: core_backtrace
Comment 3 Dan Mashal 2013-06-24 23:06:15 EDT
Created attachment 764887 [details]
File: dso_list
Comment 4 Dan Mashal 2013-06-24 23:06:18 EDT
Created attachment 764888 [details]
File: environ
Comment 5 David Juran 2013-10-05 13:53:12 EDT
Description of problem:
Request a new cert using fedora-cert and mis-type your password

Version-Release number of selected component:
fedora-cert-0.5.10.1-3.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/fedora-cert -v
dso_list:       python-fedora-0.3.32.3-3.fc19.noarch
executable:     /usr/bin/fedora-cert
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            500

Truncated backtrace:
proxyclient.py:362:send_request:AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password

Traceback (most recent call last):
  File "/usr/bin/fedora-cert", line 71, in <module>
    main(opts)
  File "/usr/bin/fedora-cert", line 46, in main
    fedora_cert.create_user_cert(username)
  File "/usr/lib/python2.7/site-packages/fedora_cert/__init__.py", line 96, in create_user_cert
    cert = fas.user_gencert()
  File "/usr/lib/python2.7/site-packages/fedora/client/fas2.py", line 731, in user_gencert
    request = self.send_request('user/dogencert', auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
    auth_params=auth_params, retries=retries)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 362, in send_request
    raise AuthError(b_('Unable to log into server.  Invalid'
AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password

Local variables in innermost frame:
username: 'djuran'
retries: 0
cookies: <<class 'requests.cookies.RequestsCookieJar'>[]>
req_params: None
url: 'https://admin.fedoraproject.org/accounts/user/dogencert'
session_id: None
self: <fedora.client.fas2.AccountSystem object at 0x1010810>
auth: None
method: 'user/dogencert'
headers: {'Accept': 'application/json', 'User-agent': 'Fedora Account System Client/0.3.32.3'}
num_tries: 0
complete_params: {'login': 'Login', 'password': 'DavidJuran', 'user_name': 'djuran'}
http_status: 403
auth_params: {'username': 'djuran', 'password': 'DavidJuran'}
file_params: {}
password: 'DavidJuran'
data: None
response: <Response [403]>
Comment 6 Fedora End Of Life 2015-01-09 13:31:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:41:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.